MONGOC_URI_NEW_FOR_HOST_PORT(3)

NAME
mongoc_uri_new_for_host_port() - Creates a new mongoc_uri_t based on the hostname and port provided.

SYNOPSIS

mongoc_uri_t *
mongoc_uri_new_for_host_port (const char *hostname,
                              uint16_t    port);

PARAMETERS

hostname
    A string containing the hostname.

port
    A uint16_t.

DESCRIPTION

Creates a new mongoc_uri_t based on the hostname and port provided.

RETURNS

Returns a newly allocated mongoc_uri_t that should be freed with mongoc_uri_destroy(3) when no longer in use.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.